Get record history
curl --request GET \
--url https://portal.quoindata.com/api/v4/records/{record_ref}/history \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://portal.quoindata.com/api/v4/records/{record_ref}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://portal.quoindata.com/api/v4/records/{record_ref}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": {
"items": [
{
"version": 123,
"published_at": "2023-11-07T05:31:56Z",
"removed": true,
"citation": {
"source": "<string>",
"dataset": "<string>",
"as_of": "<string>"
},
"data": "<unknown>"
}
],
"next_cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}{
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}{
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}{
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}{
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}{
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}{
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}{
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}{
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}{
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}Property data
Get record history
Every published version of one source record, newest first. Billable.
GET
/
api
/
v4
/
records
/
{record_ref}
/
history
Get record history
curl --request GET \
--url https://portal.quoindata.com/api/v4/records/{record_ref}/history \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://portal.quoindata.com/api/v4/records/{record_ref}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://portal.quoindata.com/api/v4/records/{record_ref}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": {
"items": [
{
"version": 123,
"published_at": "2023-11-07T05:31:56Z",
"removed": true,
"citation": {
"source": "<string>",
"dataset": "<string>",
"as_of": "<string>"
},
"data": "<unknown>"
}
],
"next_cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}{
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}{
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}{
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}{
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}{
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}{
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}{
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}{
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}{
"contract_version": "quoin-v4",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"served_at": "2023-11-07T05:31:56Z",
"next_cursor": "<string>"
}
}Authorizations
Create a key at https://portal.quoindata.com/keys.
Headers
A unique value per logical call. Retrying with the same key within seven days returns the stored response at no charge.
Required string length:
1 - 256Path Parameters
Record id (rec_ followed by a UUID) from records or search.
Pattern:
^rec_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Response
Success
Your Idempotency-Key, or a generated id.
Available options:
ok, error Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes